summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkus Ullmann <jokey@gentoo.org>2010-05-03 22:19:16 +0000
committerMarkus Ullmann <jokey@gentoo.org>2010-05-03 22:19:16 +0000
commitb56fcdd41023b37e887d00de76fd9c232a6d8600 (patch)
tree876daceb94c0f84ad2451de71479940be6ed7a00 /dev-lang/unladen-swallow/files
parentAdd unladen swallow svn ebuild (diff)
downloadjokey-b56fcdd41023b37e887d00de76fd9c232a6d8600.tar.gz
jokey-b56fcdd41023b37e887d00de76fd9c232a6d8600.tar.bz2
jokey-b56fcdd41023b37e887d00de76fd9c232a6d8600.zip
Refresh unladen ebuild and add patched eclass
svn path=/trunk/; revision=775
Diffstat (limited to 'dev-lang/unladen-swallow/files')
-rw-r--r--dev-lang/unladen-swallow/files/pydoc.conf8
-rw-r--r--dev-lang/unladen-swallow/files/pydoc.init26
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-lang/unladen-swallow/files/pydoc.conf b/dev-lang/unladen-swallow/files/pydoc.conf
new file mode 100644
index 0000000..4a98fd4
--- /dev/null
+++ b/dev-lang/unladen-swallow/files/pydoc.conf
@@ -0,0 +1,8 @@
+# /etc/init.d/pydoc.conf
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/files/pydoc.conf,v 1.2 2008/06/30 15:10:28 hawking Exp $
+
+# This file contains the configuration information for pydoc's internal
+# webserver. The variables should be rather self explanatory :-)
+
+# Default port for Python's pydoc server
+PYDOC_PORT=7464
diff --git a/dev-lang/unladen-swallow/files/pydoc.init b/dev-lang/unladen-swallow/files/pydoc.init
new file mode 100644
index 0000000..19b63e3
--- /dev/null
+++ b/dev-lang/unladen-swallow/files/pydoc.init
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public Licence v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/files/pydoc.init,v 1.2 2008/06/30 15:10:28 hawking Exp $
+
+depend() {
+ need net
+}
+
+start() {
+ if [ -z $PYDOC_PORT ] ; then
+ eerror "Port not set"
+ return 1
+ fi
+ ebegin "Starting pydoc server on port $PYDOC_PORT"
+ start-stop-daemon --start --background --make-pidfile \
+ --pidfile /var/run/pydoc.pid \
+ --startas /usr/bin/pydoc -- -p $PYDOC_PORT
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping pydoc server"
+ start-stop-daemon --stop --quiet --pidfile /var/run/pydoc.pid
+ eend $?
+}